# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/system/arena-data.ts:8

##### Index

### Constructors

constructor

### Properties

biome
playerTerasUsed
tags
terrain
weather

## Constructors

### constructor

- new default(source: any): default

  #### Parameters

  - source: any

  #### Returns default

  - Defined in src/system/arena-data.ts:15

## Properties

### biome

biome: Biome

- Defined in src/system/arena-data.ts:9

### playerTerasUsed

playerTerasUsed: number

- Defined in src/system/arena-data.ts:13

### tags

tags: ArenaTag []

- Defined in src/system/arena-data.ts:12

### terrain

terrain: null | Terrain

- Defined in src/system/arena-data.ts:11

### weather

weather: null | Weather

- Defined in src/system/arena-data.ts:10